<div class="rating-box-review" *ngIf="from === 'product'">
  <div class="row" *ngIf="ratingList">
      <div class="col-md-3 rating-count-lable">
          <div class="rating-count">{{ratingList.averageRating}}</div>
          <div class="rating-star">★</div>
          <br>
          <span>{{ratingList.ratingProductCount}} {{'RATINGS' | translate:lang}} &amp; {{ratingList.reviewProductCount}} {{'REVIEWS' | translate:lang}}</span>
      </div>
      <div class="col-md-9">
          <div class="rating-bar-group">
              <div class="row">
                  <span class="rating-bar-txt">5</span>
                  <span class="rating-bar-star">★</span>
              </div>
              <div class="rating-bar">
                  <span [ngStyle]="{'width':ratingList.fiveStarStatus}" class="green-bar greenbar-pos"></span>
              </div>
              <div class="rating-bar-txt1">&nbsp;{{ratingList.fivestarRatingCount}}</div>
          </div>
          <div class="rating-bar-group">
              <div class="row">
                  <span class="rating-bar-txt">4</span>
                  <span class="rating-bar-star">★</span>
              </div>
              <div class="rating-bar">
                  <span [ngStyle]="{'width':ratingList.fourStarStatus}" class="green-bar greenbar-pos"></span>
              </div>
              <div class="rating-bar-txt1">&nbsp;{{ratingList.fourStarRatingCount}}</div>
          </div>
          <div class="rating-bar-group">
              <div class="row">
                  <span class="rating-bar-txt">3</span>
                  <span class="rating-bar-star">★</span>
              </div>
              <div class="rating-bar">
                  <span [ngStyle]="{'width':ratingList.threeStarStatus}" class="green-bar greenbar-pos"></span>
              </div>
              <div class="rating-bar-txt1">&nbsp;{{ratingList.threeStarRatingCount}}</div>
          </div>
          <div class="rating-bar-group">
              <div class="row">
                  <span class="rating-bar-txt">2</span>
                  <span class="rating-bar-star">★</span>
              </div>
              <div class="rating-bar">
                  <span [ngStyle]="{'width':ratingList.twoStarStatus}" class="orange-bar greenbar-pos"></span>
              </div>
              <div class="rating-bar-txt1">&nbsp;{{ratingList.twoStarRatingCount}}</div>
          </div>
          <div class="rating-bar-group">
              <div class="row">
                  <span class="rating-bar-txt">1</span>
                  <span class="rating-bar-star">★</span>
              </div>
              <div class="rating-bar">
                  <span [ngStyle]="{'width':ratingList.oneStarStatus}" class="red-bar greenbar-pos"></span>
              </div>
              <div class="rating-bar-txt1">&nbsp;{{ratingList.oneStarRatingCount}}</div>
          </div>
      </div>
  </div>
</div>
<div class="rating-box-review" *ngIf="from === 'detail'">
    <div class="row" *ngIf="ratingList">
        <div class="col-md-3 rating-count-lable">
            <div class="rating-count">{{ratingList.averageRating}}</div>
            <div class="rating-star">★</div>
            <br>
            <span>{{ratingList.ratingProductCount}} {{'RATINGS' | translate:lang}} &amp; {{ratingList.reviewProductCount}} {{'REVIEWS' | translate:lang}}</span>
        </div>
        <div class="col-md-9 responsive-m">
            <div class="rating-bar-group">
                <div class="row">
                    <span class="rating-bar-txt">5</span>
                    <span class="rating-bar-star">★</span>
                </div>
                <div class="rating-bar">
                    <span [ngStyle]="{'width':ratingList.fiveStarStatus}" class="green-bar greenbar-pos"></span>
                </div>
                <div class="rating-bar-txt1">&nbsp;{{ratingList.fivestarRatingCount}}</div>
            </div>
            <div class="rating-bar-group">
                <div class="row">
                    <span class="rating-bar-txt">4</span>
                    <span class="rating-bar-star">★</span>
                </div>
                <div class="rating-bar">
                    <span [ngStyle]="{'width':ratingList.fourStarStatus}" class="green-bar greenbar-pos"></span>
                </div>
                <div class="rating-bar-txt1">&nbsp;{{ratingList.fourStarRatingCount}}</div>
            </div>
            <div class="rating-bar-group">
                <div class="row">
                    <span class="rating-bar-txt">3</span>
                    <span class="rating-bar-star">★</span>
                </div>
                <div class="rating-bar">
                    <span [ngStyle]="{'width':ratingList.threeStarStatus}" class="green-bar greenbar-pos"></span>
                </div>
                <div class="rating-bar-txt1">&nbsp;{{ratingList.threeStarRatingCount}}</div>
            </div>
            <div class="rating-bar-group">
                <div class="row">
                    <span class="rating-bar-txt">2</span>
                    <span class="rating-bar-star">★</span>
                </div>
                <div class="rating-bar">
                    <span [ngStyle]="{'width':ratingList.twoStarStatus}" class="orange-bar greenbar-pos"></span>
                </div>
                <div class="rating-bar-txt1">&nbsp;{{ratingList.twoStarRatingCount}}</div>
            </div>
            <div class="rating-bar-group">
                <div class="row">
                    <span class="rating-bar-txt">1</span>
                    <span class="rating-bar-star">★</span>
                </div>
                <div class="rating-bar">
                    <span [ngStyle]="{'width':ratingList.oneStarStatus}" class="red-bar greenbar-pos"></span>
                </div>
                <div class="rating-bar-txt1">&nbsp;{{ratingList.oneStarRatingCount}}</div>
            </div>
        </div>
    </div>
</div>
